#!/bin/bash
#
 
usage()
{
   echo "USAGE: `basename ${0}` <product_directory>"
}

product_dir=${1}

if [ -z ${product_dir} ]
then
   echo "ERROR: please specify the local product directory"
   usage
   exit 1
fi

# make sure we can use the setup alias
if [ -z ${UPS_DIR} ]
then
   echo "ERROR: please setup ups"
   exit 1
fi
source `${UPS_DIR}/bin/ups setup ${SETUP_UPS}`

# use pullPackage
cd  ${product_dir} || ssi_die "cannot cd to ${product_dir}"
curl  --fail --silent --location --insecure -O http://scisoft.fnal.gov/scisoft/bundles/tools/pullPackage || ssi_die "Failed do download pullPackage"
chmod +x ${product_dir}/pullPackage

prdname=(g4abla g4emlow g4neutron g4neutronxs g4nucleonxs g4nuclide g4photon g4pii g4radiative g4surface g4tendl)
prdver=( v3_1   v7_3    v4_5      v1_4        v1_1        v2_2      v5_2     v1_3  v5_2        v2_1      v1_3_2)

echo
for (( i=0; i<${#prdname[@]}; i++ ));
do
   if ups exist ${prdname[$i]} ${prdver[$i]} -z ${product_dir}:${PRODUCTS} >/dev/null 2>&1; then
     echo "INFO: ups product ${prdname[$i]} ${prdver[$i]} already exists"
   else
     ${product_dir}/pullPackage ${product_dir} noarch ${prdname[$i]}-${prdver[$i]} 
   fi
done
echo
   
exit 0
